org.springframework.messaging.handler.annotation.support

## Interface MessageHandlerMethodFactory

All Known Implementing Classes:
  DefaultMessageHandlerMethodFactory

    public interface MessageHandlerMethodFactory

A factory for `InvocableHandlerMethod` that is suitable to process an incoming `Message`

Typically used by listener endpoints that require a flexible method signature.

Since:
  4.1
Author:
  Stephane Nicoll

### Method Summary

All Methods Instance Methods Abstract Methods
`InvocableHandlerMethod` `createInvocableHandlerMethod(Object bean, Method method)` Create the `InvocableHandlerMethod` that is able to process the specified method endpoint.

### Method Detail

#### createInvocableHandlerMethod

    InvocableHandlerMethod createInvocableHandlerMethod(Object bean,
                                                        Method method)

Create the `InvocableHandlerMethod` that is able to process the specified method endpoint.

Parameters:
  `bean` - the bean instance
  `method` - the method to invoke
Returns:
  an `InvocableHandlerMethod` suitable for that method